File Download

이 API는 개별 선박의 첨부파일 이름을 요청하여 binary 형태로 첨부파일을 반환합니다.

첨부파일은 선박에서 Vessellink For Ship을 통해 리포트 내에 첨부한 파일이며 선박에서는 운항 현황에 따라 리포트에 첨부파일을 포하여 육상으로 전송합니다.

This API returns attachment files in binary format by requesting the attachment file name of an individual vessel.

The attachment files are files attached to reports onboard vessels through Vessellink For Ship.
Depending on the vessel’s operational conditions, attachments may be included in reports and transmitted to shore.


1. Request

선박의 Call Sign 또는 IMO No를 기준으로 개별 선박을 식별하며,
다운로드할 파일 목록을 Request Body의 fileNames배열로 요청합니다.

An individual vessel is identified using its Call Sign or IMO number,
and the list of files to be downloaded is specified in the fileNames array of the request body.

Call Sign

POST https://data.vessellink.com/ext-api/file/ships/{callSign}/download

Body

{
    "fileNames" : [
      {fileName}, {fileName}...
    ]
}


ex) https://data.vessellink.com/ext-api/file/ships/ABCD1/download

Body

{
    "fileNames" : [
        "20250701102339-LOG_BOOK_ATTACH-0.jpg", 
				"20251205151025-LOG_BOOK_ATTACH-0.jpg"
    ]
}

IMO No

POST https://data.vessellink.com/ext-api/file/ships/{imoNo}/download

Body

{
    "fileNames" : [
      {fileName}, {fileName}...
    ]
}

ex) https://data.vessellink.com/ext-api/file/ships/1234567/download

Body

{
    "fileNames" : [
      "20250701102339-LOG_BOOK_ATTACH-0.jpg",
			"20251205151025-LOG_BOOK_ATTACH-0.jpg"
    ]
}
ParameterDescriptionType
Call SignCall sign of the vessel. Required when querying by call sign.string
IMO NoIMO number of the vessel. Required when querying by IMO number.long
fileNamesAttachment file names to download.array(string)

2. Response

<Success Example>

Binary -- Returns Response the file data directly as binary in the response body

<Error Example>

{
    "resp_status_dtl_cd": 400.1,
    "resp_msg": "Bad Request",
    "total_cnt": 0,
    "success": [],
    "errores": [
        "The fileDownloadReq field is required."
    ]
}
FieldDescriptionType
resp_status_dtl_cdhttp status codeint
resp_msgresponse messagestring
total_cnttotal count of successint
successIn error cases, success field is returned as an empty arraystring
errores - messageerror messagestring